<html lang="fr">
  <head>
    <title>Je lis puis j'écris des mots</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="viewport" content="height=device-height">
    {% include 'templates/favicon.html' %}
    {% include 'templates/global.css.html' %}
    <link rel="stylesheet" type="text/css" media="screen" href="lis-ecris.css" />
</head>
<body>
  {% include 'templates/widget_back_menu.html' %}
  <div id="ecran-blanc" class="invisible"></div>
  <div id="zone-haut">
      <div id="zone-annexe">
          <div id="zone-selection">
              <form name="selection" id="selection">
                <p>Choisis un exercice parmi les thèmes proposés :</p>
                <label name="lbsonsDBC2" for="liste-sonsDBC2">Cycle 2 par sons, échelle DB actualisée</label><br />
                <select id="liste-sonsDBC2" onchange="creeExercice('liste-sonsDBC2')"></select><br />
                <label name="lbsonsDBC3" for="liste-sonsDBC3">Cycle 3 par sons, échelle DB actualisée</label><br />
                <select id="liste-sonsDBC3" onchange="creeExercice('liste-sonsDBC3')"></select><br />
                <label name="lbechelle" for="liste-echelons">Échelle Dubois-Buyse (1940)</label><br />
                <select id="liste-echelons" name="liste-echelons" onchange="creeExercice('liste-echelons')"></select><br />
                <label name="lbechelle2" for="liste-echelons2">Échelle Dubois-Buyse actualisée (1998)</label><br />
                <select id="liste-echelons2" name="liste-echelons2" onchange="creeExercice('liste-echelons2')"></select><br />
                <label name="lbcategories" for="liste-categories">Catégories de mots</label><br />
                <select id="liste-categories" onchange="creeExercice('liste-categories')"></select><br />
              </form>
            </div>
          <div id="zone-resultats">
            <div id="titre">Résultats</div>
            <div id="interieur">
              <div class="bloc-resultat">
                <div class="ligne-resultat">
                  <div class="label-resultat">Épreuve en cours : </div>
                  <div id="numero-epreuve" class="resultat"></div>
                </div>
                <div class="ligne-resultat">
                  <div class="label-resultat">Nombre de tentatives : </div>
                  <div id="nbepreuvesreussies" class="resultat"></div>
                </div>
                <div class="ligne-resultat">
                  <div class="label-resultat">Taux de réussite : </div>
                  <div id="tauxepreuves" class="resultat"></div>
                </div>
                <div class="ligne-resultat">
                  <div class="label-resultat">Échecs : </div>
                  <div id="nbechecs" class="resultat"></div>
                </div>
              </div>
              <div id="separation>"><hr></div>
              <div class="bloc-resultat">
                  <div class="ligne-resultat">
                    <div class="label-resultat">Exercices effectués : </div>
                    <div id="nbexercices" class="resultat"></div>
                  </div>
                  <div class="ligne-resultat">
                    <div class="label-resultat">Nombre total d'épreuves : </div>
                    <div id="nbtotalepreuves" class="resultat"></div>
                  </div>
                  <div class="ligne-resultat">
                   <div class="label-resultat">Taux de réussite global : </div>
                   <div id="tauxexos" class="resultat"></div>
                </div>
                <div class="ligne-resultat">
                  <div class="label-resultat">Échecs : </div>
                  <div id="nbtotalechecs" class="resultat"></div>
                </div>
              </div>
              <div id="bt-resultats">
                  <button id="btimpression" class="bouton2" type='button' onclick='demandeNom()'>Page d'impression</button>
                 </div>
            </div>
          </div>
        </div>
    <div id="zone-action">
      <div id="zone-affichage">
        <div id="modele" class="lettre"></div>
        <div id="annonces"></div>
      </div>
      <div id="zone-exercice">
        <form name="form-saisie" id="form-saisie" onsubmit="soumetReponse(event)">
          <label name="saisie" id="lbsaisie" class="lb-inactif">Écris ta réponse ici :</label><br />
          <input id='reponse' class="lettre" type="text" name="reponse" autofocus disabled oncopy="return false" onpaste="return false" oncut="return false"/>
        </form>
        <div id="zone-boutons">
          <button id="btrevoir" class="bouton" type="button" value="btrevoir" autocomplete="off" disabled onclick="revoirMot()">Revoir</button>
          <button id="btverifier" class="bouton" type="button" value="btverifier" autocomplete="off" disabled onclick="verifier()">Vérifier</button>
          <button id="btsuivant" class="bouton" type="button" value="btsuivant" autocomplete="off" disabled onclick="motSuivant()">Suivant</button>
          <button id="btpasser" class="bouton" type="button" value="btpasser" autocomplete="off" disabled onclick="passeMot()">Passer</button>
        </div>
      </div>
    </div>
  </div>
  <div id="zone-bas">
    <div id="zone-commandes">
        <div id="zone-boutons2">
          <button id="btoptions" class="bouton2" type='button' onclick="lanceOptions()">Options</button>
        </div>
    </div>
    <div id="zone-consigne"></div>
  </div>
  <div id="options" class="invisible">
    <div id="formulaire">
      <form name="form-options" id="form-options" action="index.html" onsubmit="valideOptions();">
        <p>Temps d'affichage, en secondes, du mot à écrire (2 par défaut) :</p>
        <p>
          <input name="temps" type="number" value="2" min="1" max="30" />
        </p>
        <p>Police de caractères :</p>
        <p>
            <input type="radio" name="fonte" value="script" id="script" checked /> <label for="script">Script</label><br />
            <input type="radio" name="fonte" value="cursive" id="cursive" /> <label for="cursive">Cursive</label><br />
        </p>
        <p>Nombre de mots à proposer dans une série (5 par défaut) :</p>
        <p>
          <input name="nbmots" type="number" value="5" min="1" max="20" />
        </p>
        <p>Nombre de clics possibles sur le bouton [Revoir] :</p>
        <p>
          <input id="reaffichage" type="number" name="reaffichage" value="2" min="1" max="20" />
        </p>
        <input type="submit" value="Valider"/>
        <input type="button" value="Annuler" onclick="annuleOptions()"/>
      </form>
    </div>
  </div>
  <div id="saisie-nom" class="invisible">
    <form id="form-nom" name="form-options" onsubmit="pageImpression();">
      <label name="patronyme" id="lbpatronyme">Écris ton nom :</label><br />
      <input id='patronyme' type="text" name="patronyme" required /><br /><br />
      <input class="bouton-nom" type="submit" value="Valider"/>
      <input class="bouton-nom" type="button" value="Annuler" onclick="annuleImpression()"/>
    </form>
  </div>

  {% include 'templates/global.js.html' %}
  <script src="donnees.js" type="text/javascript"></script>
  <script src="lis-ecris.js" type="text/javascript"></script>
</body>
</html>
